Subject: bug#53071: 28.0.90; Emacs 28 regression: incorrect code generation for complex pcase forms?

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Jan 2022 21:33:38 +0200

> From: Mattias Engdegård <[email-masked]>
> Date: Wed, 12 Jan 2022 20:09:26 +0100
> Cc: [email-masked], Philipp <[email-masked]>,
>         Paul Pogonyshev <[email-masked]>
> 
> 12 jan. 2022 kl. 17.58 skrev Eli Zaretskii <[email-masked]>:
> 
> > So I'm about to revert this backport, but I'm prepared to hear
> > arguments why shouldn't I.
> 
> I broke protocol by pushing it to the stable branch in this phase without permission. Sorry about that; the change has now been reverted. Will be more careful in the future.
> 
> > From my POV, the regression is very minor, and it doesn't justify such
> > a non-trivial change in such a central place.
> 
> I personally don't care much about it since I don't use Emacs 28 but would certainly not prefer at least two known, documented and harmful bugs reported by our users over some vague hypothetical conjectured problem that might arise.
> 
> >  If you think the
> > problem is serious, I'd rather revert the change we did which produced
> > the regression in the first place (assuming it's not too complicated).
> 
> That would be inadvisable as it would introduce yet another bug, the fix of which was the immediate cause of the regression.

Fine by me, then let's leave emacs-28 at its present state.

Thanks.